﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS2xx (1 yr) DCV IEEE /5520+S6
INSTRUMENT:            Sub TDS2xx (1 yr) Bandwidth IEEE /5520+S6
INSTRUMENT:            Sub TDS2xx (1 yr) Timebase IEEE /5520+S6
INSTRUMENT:            Sub TDS2xx (1 yr) Trigger IEEE /5520+S6
INSTRUMENT:            Sub TDS2xx (1 yr) Ext Trig IEEE /5520+S6
DATE:                  2017-01-27 11:49:51
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 17920 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       361
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV                          PSUB("DCV")
  1.002  JMPL         BANDWIDTH                    PSUB("Bandwidth")
  1.003  JMPL         TIMEBASE                     PSUB("Timebase")
  1.004  JMPL         TRIGGER                      PSUB("Trigger")
  1.005  JMPL         EXT_TRIG                     PSUB("Ext Trig")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) DCV IEEE /5520+S6  ===============================

  2.001  LABEL        DCV
  2.002  RSLT         =
  2.003  HEAD         DC VOLTAGE MEASURMENT ACCURACY: Channel [M100]
  2.004  RSLT         =DC VOLTAGE MEASURMENT ACCURACY: Channel [M100]
  2.005  TARGET
  2.006  CALL         Sub Tek TDSxxx Recall Factory Setup IEEE
  2.007  JMPL         END            M[89] <= 0
  2.008  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2]
  2.008  IEEE         CH[M100]:PROBE 1;VOLTS 5.0E-3
  2.008  IEEE         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.008  IEEE         MEASU:IMM:SOURCE CH[M100];TYPE MEAN
  2.008  IEEE         ACQ:MOD AVE;NUMAV 16;STOPAFTER SEQUENCE
# Set the resolution and take a measurement
  2.009  MATH         M[17] = 0.0001
  2.010  MATH         S[5] = "MEASU:IMM:VAL?"
  2.011  5520         17.5mV                                         S6 S
  2.012  CALL         Sub Tek TDSxxx Record Reading IEEE
  2.013  JMPL         END  M[89] <= 0
# Store positive reading.
  2.014  MATH         M[1] = MEM / 1e-3
  2.015  5520         -17.5mV                                        S6 S
  2.016  CALL         Sub Tek TDSxxx Record Reading IEEE
  2.017  JMPL         END  M[89] <= 0
# Store negative reading.
  2.018  MATH         M[2] = MEM / 1e-3
# SC600 90dy spec at 17.5mV is 48.75uV.  Value is RSS'd for sys. tol.
  2.019  ACC          35.0mV         0.06894U
  2.020  MATH         MEM = M[1] - M[2]
  2.021  MEMCX        35.0mV         1.2U

# Test the 200mV vertical Scale setting
  3.001  IEEE         CH[M100]:VOLTS 200.0E-3
# Set the resolution and take a measurement
  3.002  MATH         M[17] = 0.001
  3.003  5520         0.7000V                                        S6 S
  3.004  CALL         Sub Tek TDSxxx Record Reading IEEE
  3.005  JMPL         END  M[89] <= 0
# Store positive reading.
  3.006  MATH         M[1] = MEM
  3.007  5520         -0.7000V                                       S6 S
  3.008  CALL         Sub Tek TDSxxx Record Reading IEEE
  3.009  JMPL         END  M[89] <= 0
# Store negative reading.
  3.010  MATH         M[2] = MEM
# SC600 90dy spec at 0.700V is 390uV.  Value is RSS'd for sys. tol.
  3.011  ACC          1.400V         0.000552U
  3.012  MATH         MEM = M[1] - M[2]
  3.013  MEMCX        1.400V         0.049U

# Test the 2V vertical Scale setting
  4.001  IEEE         CH[M100]:VOLTS 2.0E+0
  4.002  MATH         M[17] = 0.01
  4.003  5520         7.00V                                          S6 S
  4.004  CALL         Sub Tek TDSxxx Record Reading IEEE
  4.005  JMPL         END  M[89] <= 0
# Store the positive reading
  4.006  MATH         M[1] = MEM
  4.007  5520         -7.00V                                         S6 S
  4.008  CALL         Sub Tek TDSxxx Record Reading IEEE
  4.009  JMPL         END  M[89] <= 0
# Store the positive reading
  4.010  MATH         M[2] = MEM
# SC600 90dy spec at 7.00V is 3.54mV.  Value is RSS'd for sys. tol.
  4.011  ACC          14.00V         0.00501U
  4.012  MATH         MEM = M[1] - M[2]
  4.013  MEMCX        14.00V         0.49U

  5.001  5520         *                                                 S
  5.002  END

  5.003  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Bandwidth IEEE /5520+S6  =========================

  6.001  LABEL        BANDWIDTH
  6.002  RSLT         =
  6.003  HEAD         ANALOG BANDWIDTH CHECK: Channel [M100]
  6.004  RSLT         =ANALOG BANDWIDTH CHECK: Channel [M100]
  6.005  TARGET
  6.006  CALL         Sub Tek TDSxxx Recall Factory Setup IEEE
  6.007  JMPL         END            M[89] <= 0
  6.008  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2]
  6.008  IEEE         CH[M100]:PROBE 1;VOLTS 500E-3
  6.008  IEEE         HOR:MAIN:SCALE 10E-6
  6.008  IEEE         TRIG:MAIN:EDGE:SOURCE CH[M100];COUPLING NOISEREJ
  6.008  IEEE         ACQ:MOD PEAK;NUMAV 16
  6.009  5520         3.00Vpp                      50kH           LS S6 S  L
  6.010  MATH         M[1] = MEM1
  6.011  IEEE         TRIG:MAIN SETLEVEL
  6.012  CALL         Sub Wait for Operation Complete (OPC) IEEE
  6.013  JMPL         END  M[89] <= 0

  6.014  LABEL        CHECK_FOR_TRIGGER_BANDWIDTH
  6.015  CALL         Sub Tek TDSxxx Check for Trigger IEEE
  6.016  JMPL         CONTINUE_BANDWIDTH           MEM1 > 0
  6.017  DISP         The UUT is not triggered!
  6.017  DISP         Check connections.
  6.018  JMPL         CHECK_FOR_TRIGGER_BANDWIDTH

  6.019  LABEL        CONTINUE_BANDWIDTH
  6.020  IEEE         ACQ:STOPAFTER SEQUENCE;STATE RUN
  6.021  CALL         Sub Wait for Operation Complete (OPC) IEEE
  6.022  JMPL         END  M[89] <= 0
  6.023  IEEE         MEASU:IMM:SOURCE CH[M100];TYPE PK2PK;VAL?[I]
  6.024  MATH         M[2] = MEM * (SQRT(2) / 2.0)
  6.025  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
  6.026  JMPL         END  M[89] <= 0
  6.027  IEEE         ACQ:STATE RUN
  6.028  CALL         Sub Wait for Operation Complete (OPC) IEEE
  6.029  JMPL         END            M[89] <= 0
  6.030  HEAD         ANALOG BANDWIDTH: Channel [M100]
  6.031  IEEE         MEASU:IMM:VAL?[I]
  6.032  MATH         S[1] = FMT(MEM, "%4.2f")
  6.033  MATH         S[2] = FMT(M[102], "%3.0f")
  6.034  MATH         S[3] = FMT(M[2], "%4.2f")
  6.035  EVAL   -e MEM >= M[2] : [S1]Vpp @ [S2]MHz, Limit: >=[S3]Vpp
  7.001  5520         *                                                 S
  7.002  END

  7.003  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Timebase IEEE /5520+S6  ==========================

  8.001  LABEL        TIMEBASE
  8.002  RSLT         =
  8.003  HEAD         TIME BASE SYSTEM CHECKS
  8.004  TARGET
  8.005  CALL         Sub Tek TDSxxx Recall Factory Setup IEEE
  8.006  JMPL         END            M[89] <= 0
  8.007  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2]
  8.007  IEEE         CH[M100]:PROBE 1;VOLTS 500E-3
  8.007  IEEE         HOR:MAIN:SCALE 1E-3
  8.008  5520         10mT                                        M1 S6 S  L
  8.009  IEEE         TRIG:MAIN SETLEVEL
  8.010  CALL         Sub Wait for Operation Complete (OPC) IEEE
  8.011  JMPL         END  M[89] <= 0

  8.012  LABEL        CHECK_FOR_TRIGGER_TIMEBASE
  8.013  CALL         Sub Tek TDSxxx Check for Trigger IEEE
  8.014  JMPL         CONTINUE_TIMEBASE            MEM1 > 0
  8.015  DISP         The UUT is not triggered!
  8.015  DISP         Check connections.
  8.016  JMPL         CHECK_FOR_TRIGGER_TIMEBASE

  8.017  LABEL        CONTINUE_TIMEBASE
  8.018  IEEE         CH[M100]:POSITION -1.20
  8.018  IEEE         HOR:VIEW WINDOW
  8.018  IEEE         HOR:DELAY:SCALE 500E-6;POS 10E-3;SCALE 500E-9
  8.018  IEEE         CURSOR:FUNCTION VBARS
  8.018  IEEE         CURSOR:VBARS:UNITS SECONDS;POSITION1 10E-3
  8.019  CALL         Sub Wait for Operation Complete (OPC) IEEE
  8.020  JMPL         END  M[89] <= 0
  8.021  DISP         Use the CH 2 VERTICAL POSITION control to position
  8.021  DISP         the second vertical cursor at the point where the
  8.021  DISP         rising edge of the waveform crosses the center
  8.021  DISP         horizontal graticule line.
  8.022  IEEE         CURSOR:VBARS:DELTA?[I]
# Convert delta time to divisions.
  8.023  MATH         MEM = ABS(MEM / 500E-9)
  8.024  EVAL   -e MEM <= 2 :  TIME BASE SYSTEM CHECKS
  9.001  5520         *                                                 S
  9.002  END

  9.003  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Trigger IEEE /5520+S6  ===========================

 10.001  LABEL        TRIGGER
 10.002  HEAD         TRIGGER SYSTEM CHECKS: Channel [M100]
 10.003  RSLT         =TRIGGER SYSTEM CHECKS: Channel [M100]
 10.004  TARGET
 10.005  LABEL        INTERNAL_TRIGGER
 10.006  CALL         Sub Tek TDSxxx Recall Factory Setup IEEE
 10.007  JMPL         END            M[89] <= 0
 10.008  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2]
 10.009  IEEE         CH[M100]:PROBE 1;VOLTS 500E-3
 10.010  IEEE         TRIG:MAIN:MODE NORMAL;EDGE:SOURCE CH[M100]
# Note, "HOR:MAIN:SCALE 10E-9" is set in Leveled Sine subprocedure.
 10.011  MATH         M[103] = 0.750
 10.012  MATH         M[1] = M[103]
 10.013  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 10.014  JMPL         END  M[89] <= 0
 10.015  IEEE         TRIG:MAIN SETLEVEL
 10.016  CALL         Sub Wait for Operation Complete (OPC) IEEE
 10.017  JMPL         END  M[89] <= 0

 10.018  LABEL        CHECK_FOR_TRIGGER
 10.019  CALL         Sub Tek TDSxxx Check for Trigger IEEE
 10.020  JMPL         CONTINUE_TRIGGER             MEM1 > 0
 10.021  DISP         The UUT is not triggered!
 10.021  DISP         Check connections.
 10.022  JMPL         CHECK_FOR_TRIGGER

 10.023  LABEL        CONTINUE_TRIGGER
 10.024  IEEE         ACQ:MOD AVE;NUMAV 16;STOPAFTER SEQUENCE
 10.024  IEEE         MEASU:IMM:SOURCE CH[M100];TYPE PK2PK
# Set the watchdog counter to 0.0
 10.025  MATH         M[10] = 0.0

# Adjust 5520A for an amplitude of 750mVpp as indicated by the UUT.
 10.026  LABEL        FEEDBACK_INT
 10.027  MATH         M[1] = M[103]
 10.028  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 10.029  JMPL         END  M[89] <= 0
 10.030  IEEE         ACQ:STATE RUN
 10.031  CALL         Sub Wait for Operation Complete (OPC) IEEE
 10.032  JMPL         END  M[89] <= 0
 10.033  IEEE         MEASU:IMM:VAL?[I]
 10.034  MATH         MEM2 = FMT(MEM, "%5.3f")
 10.035  HEAD         TRIGGER SYSTEM: Channel [M100], [MEM2]Vpp
 10.036  MATH         M[2] = ABS(750E-3 - MEM)
 10.037  JMPL         TRIGGER_INT                  M[2] < 0.020
 10.038  MATH         M[103] = ((750E-3 - MEM) / 2) + MEM1
# Increment the Watchdog Counter
 10.039  MATH         M[10] = M[10] + 1
# We will give the scope 75 tries to get the right reading
 10.040  JMPL         FEEDBACK_INT                 M[10] < 75

 10.041  LABEL        TRIGGER_INT
 10.042  IEEE         TRIG:MAIN:EDGE:SLOPE RISE
 10.043  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
 10.044  CALL         Sub Wait for Operation Complete (OPC) IEEE
 10.045  JMPL         END  M[89] <= 0
 10.046  MATH         M[1] = M[103]
 10.047  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 10.048  JMPL         END  M[89] <= 0
 10.049  MATH         M[3] = -300E-3; M[4] = 20E-3
 10.050  CALL         Sub Tek TDSxxx Main Trigger IEEE
 10.051  MATH         S[1] = FMT((MEM * 1000), "%4.0f")
 10.052  EVAL   -e M[10] > 10 : (+ Slope) Int Trigger: [S1]mVpp @ [M102]MHz
 11.001  JMPL         INTERNAL_TRIGGER_NEGATIVE_SLOPE

 11.002  TARGET
 11.003  JMPL         INTERNAL_TRIGGER

 11.004  LABEL        INTERNAL_TRIGGER_NEGATIVE_SLOPE
 11.005  IEEE         TRIG:MAIN:EDGE:SLOPE FALL
 11.006  MATH         M[1] = M[103]
 11.007  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 11.008  JMPL         END  M[89] <= 0
 11.009  MATH         M[3] = -300E-3; M[4] = 20E-3
 11.010  CALL         Sub Tek TDSxxx Main Trigger IEEE
 11.011  MATH         S[1] = FMT((MEM * 1000), "%4.0f")
 11.012  EVAL   -e M[10] > 10 : (- Slope) Int Trigger: [S1]mVpp @ [M102]MHz

 12.001  5520         *                                                 S
 12.002  END

 12.003  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Ext Trig IEEE /5520+S6  ==========================

 13.001  LABEL        EXT_TRIG
 13.002  RSLT         =
 13.003  HEAD         {TRIGGER SYSTEM EXTERNAL TRIGGER}
 13.004  TARGET
 13.005  CALL         Sub Tek TDSxxx Recall Factory Setup IEEE
 13.006  JMPL         END            M[89] <= 0
 13.007  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2]
 13.007  IEEE         CH[M100]:PROBE 1;VOLTS 500E-3
 13.007  IEEE         TRIG:MAIN:MODE NORMAL;EDGE:SOURCE EXT
# Note, "HOR:MAIN:SCALE 10E-9" is set in Leveled Sine subprocedure.
 13.008  MATH         M[103] = 0.750
 13.009  MATH         M[1] = M[103]
 13.010  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 13.011  JMPL         END  M[89] <= 0
 13.012  IEEE         TRIG:MAIN SETLEVEL
 13.013  CALL         Sub Wait for Operation Complete (OPC) IEEE
 13.014  JMPL         END  M[89] <= 0

 13.015  LABEL        CHECK_FOR_EXT_TRIGGER
 13.016  CALL         Sub Tek TDSxxx Check for Trigger IEEE
 13.017  JMPL         CONTINUE_EXT_TRIGGER         MEM1 > 0
 13.018  DISP         The UUT is not triggered!
 13.018  DISP         Check connections.
 13.019  JMPL         CHECK_FOR_EXT_TRIGGER

 13.020  LABEL        CONTINUE_EXT_TRIGGER
 13.021  IEEE         ACQ:MOD AVE;NUMAV 16;STOPAFTER SEQUENCE
 13.021  IEEE         MEASU:IMM:SOURCE CH[M100];TYPE PK2PK
# Set the watchdog counter to 0.0
 13.022  MATH         M[10] = 0.0

# Adjust 5520A for an amplitude of 750mVpp as indicated by the UUT.
 13.023  LABEL        FEEDBACK_EXT
 13.024  MATH         M[1] = M[103]
 13.025  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 13.026  JMPL         END  M[89] <= 0
 13.027  IEEE         ACQ:STATE RUN
 13.028  CALL         Sub Wait for Operation Complete (OPC) IEEE
 13.029  JMPL         END  M[89] <= 0
 13.030  IEEE         MEASU:IMM:VAL?[I]
 13.031  MATH         MEM2 = FMT(MEM, "%5.3f")
 13.032  HEAD         TRIGGER SYSTEM: Channel [M100], [MEM2]Vpp
 13.033  MATH         M[2] = ABS(750E-3 - MEM)
 13.034  JMPL         EXTERNAL_TRIGGER            M[2] < 0.020
 13.035  MATH         M[103] = ((750E-3 - MEM) / 2) + MEM1
# Increment the Watchdog Counter
 13.036  MATH         M[10] = M[10] + 1
# We will give the scope 75 tries to get the right reading
 13.037  JMPL         FEEDBACK_EXT                M[10] < 75

 13.038  LABEL        EXTERNAL_TRIGGER
 13.039  IEEE         TRIG:MAIN:EDGE:SLOPE RISE
 13.039  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
 13.040  CALL         Sub Wait for Operation Complete (OPC) IEEE
 13.041  JMPL         END  M[89] <= 0
 13.042  MATH         M[1] = M[103]
 13.043  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 13.044  JMPL         END  M[89] <= 0
 13.045  MATH         M[3] = -280E-3; M[4] = 8E-3
 13.046  CALL         Sub Tek TDSxxx Main Trigger IEEE
 13.047  MATH         S[1] = FMT((MEM * 1000), "%4.0f")
 13.048  EVAL   -e M[10] > 10 : (+ Slope) Ext Trigger: [S1]mVpp @ [M102]MHz
 14.001  JMPL         EXTERNAL_TRIGGER_NEGATIVE_SLOPE

 14.002  TARGET
 14.003  JMPL         EXTERNAL_TRIGGER

 14.004  LABEL        EXTERNAL_TRIGGER_NEGATIVE_SLOPE
 14.005  IEEE         TRIG:MAIN:EDGE:SLOPE FALL
 14.006  MATH         M[1] = M[103]
 14.007  CALL         Sub Tek TDSxxx Set Leveled Sine IEEE /5520+S6
 14.008  JMPL         END  M[89] <= 0
 14.009  MATH         M[3] = -280E-3; M[4] = 8E-3
 14.010  CALL         Sub Tek TDSxxx Main Trigger IEEE
 14.011  MATH         S[1] = FMT((MEM * 1000), "%4.0f")
 14.012  EVAL   -e M[10] > 10 : (- Slope) Ext Trigger: [S1]mVpp @ [M102]MHz

 15.001  LABEL        END
 15.002  5520         *                                                 S
 15.003  END
